[@rxap/forms](../wiki/globals) / FormControlMarkDirtyDirective

# Class: FormControlMarkDirtyDirective

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:12](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts#L12)

## Constructors

### new FormControlMarkDirtyDirective()

> **new FormControlMarkDirtyDirective**(`parent`): [`FormControlMarkDirtyDirective`](../wiki/Class.FormControlMarkDirtyDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts#L14)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormControlMarkDirtyDirective`](../wiki/Class.FormControlMarkDirtyDirective)

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts#L18)

#### Returns

`void`
